Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:6002:f000/116
First address
2c19:dd:d9:dd:c25:c25:6002:f000
Last address
2c19:dd:d9:dd:c25:c25:6002:ffff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:6002:f000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.2.0.0.6.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/124

2c19:dd:d9:dd:c25:c25:6002:f000/116 makes 256 subnets of /124.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:6002:f000/1242c19:dd:d9:dd:c25:c25:6002:f00f
22c19:dd:d9:dd:c25:c25:6002:f010/1242c19:dd:d9:dd:c25:c25:6002:f01f
32c19:dd:d9:dd:c25:c25:6002:f020/1242c19:dd:d9:dd:c25:c25:6002:f02f
42c19:dd:d9:dd:c25:c25:6002:f030/1242c19:dd:d9:dd:c25:c25:6002:f03f
52c19:dd:d9:dd:c25:c25:6002:f040/1242c19:dd:d9:dd:c25:c25:6002:f04f
62c19:dd:d9:dd:c25:c25:6002:f050/1242c19:dd:d9:dd:c25:c25:6002:f05f
72c19:dd:d9:dd:c25:c25:6002:f060/1242c19:dd:d9:dd:c25:c25:6002:f06f
82c19:dd:d9:dd:c25:c25:6002:f070/1242c19:dd:d9:dd:c25:c25:6002:f07f
92c19:dd:d9:dd:c25:c25:6002:f080/1242c19:dd:d9:dd:c25:c25:6002:f08f
102c19:dd:d9:dd:c25:c25:6002:f090/1242c19:dd:d9:dd:c25:c25:6002:f09f
112c19:dd:d9:dd:c25:c25:6002:f0a0/1242c19:dd:d9:dd:c25:c25:6002:f0af
122c19:dd:d9:dd:c25:c25:6002:f0b0/1242c19:dd:d9:dd:c25:c25:6002:f0bf
132c19:dd:d9:dd:c25:c25:6002:f0c0/1242c19:dd:d9:dd:c25:c25:6002:f0cf
142c19:dd:d9:dd:c25:c25:6002:f0d0/1242c19:dd:d9:dd:c25:c25:6002:f0df
152c19:dd:d9:dd:c25:c25:6002:f0e0/1242c19:dd:d9:dd:c25:c25:6002:f0ef
162c19:dd:d9:dd:c25:c25:6002:f0f0/1242c19:dd:d9:dd:c25:c25:6002:f0ff
172c19:dd:d9:dd:c25:c25:6002:f100/1242c19:dd:d9:dd:c25:c25:6002:f10f
182c19:dd:d9:dd:c25:c25:6002:f110/1242c19:dd:d9:dd:c25:c25:6002:f11f
192c19:dd:d9:dd:c25:c25:6002:f120/1242c19:dd:d9:dd:c25:c25:6002:f12f
202c19:dd:d9:dd:c25:c25:6002:f130/1242c19:dd:d9:dd:c25:c25:6002:f13f
212c19:dd:d9:dd:c25:c25:6002:f140/1242c19:dd:d9:dd:c25:c25:6002:f14f
222c19:dd:d9:dd:c25:c25:6002:f150/1242c19:dd:d9:dd:c25:c25:6002:f15f
232c19:dd:d9:dd:c25:c25:6002:f160/1242c19:dd:d9:dd:c25:c25:6002:f16f
242c19:dd:d9:dd:c25:c25:6002:f170/1242c19:dd:d9:dd:c25:c25:6002:f17f
252c19:dd:d9:dd:c25:c25:6002:f180/1242c19:dd:d9:dd:c25:c25:6002:f18f
262c19:dd:d9:dd:c25:c25:6002:f190/1242c19:dd:d9:dd:c25:c25:6002:f19f
272c19:dd:d9:dd:c25:c25:6002:f1a0/1242c19:dd:d9:dd:c25:c25:6002:f1af
282c19:dd:d9:dd:c25:c25:6002:f1b0/1242c19:dd:d9:dd:c25:c25:6002:f1bf
292c19:dd:d9:dd:c25:c25:6002:f1c0/1242c19:dd:d9:dd:c25:c25:6002:f1cf
302c19:dd:d9:dd:c25:c25:6002:f1d0/1242c19:dd:d9:dd:c25:c25:6002:f1df
312c19:dd:d9:dd:c25:c25:6002:f1e0/1242c19:dd:d9:dd:c25:c25:6002:f1ef
322c19:dd:d9:dd:c25:c25:6002:f1f0/1242c19:dd:d9:dd:c25:c25:6002:f1ff
332c19:dd:d9:dd:c25:c25:6002:f200/1242c19:dd:d9:dd:c25:c25:6002:f20f
342c19:dd:d9:dd:c25:c25:6002:f210/1242c19:dd:d9:dd:c25:c25:6002:f21f
352c19:dd:d9:dd:c25:c25:6002:f220/1242c19:dd:d9:dd:c25:c25:6002:f22f
362c19:dd:d9:dd:c25:c25:6002:f230/1242c19:dd:d9:dd:c25:c25:6002:f23f
372c19:dd:d9:dd:c25:c25:6002:f240/1242c19:dd:d9:dd:c25:c25:6002:f24f
382c19:dd:d9:dd:c25:c25:6002:f250/1242c19:dd:d9:dd:c25:c25:6002:f25f
392c19:dd:d9:dd:c25:c25:6002:f260/1242c19:dd:d9:dd:c25:c25:6002:f26f
402c19:dd:d9:dd:c25:c25:6002:f270/1242c19:dd:d9:dd:c25:c25:6002:f27f
412c19:dd:d9:dd:c25:c25:6002:f280/1242c19:dd:d9:dd:c25:c25:6002:f28f
422c19:dd:d9:dd:c25:c25:6002:f290/1242c19:dd:d9:dd:c25:c25:6002:f29f
432c19:dd:d9:dd:c25:c25:6002:f2a0/1242c19:dd:d9:dd:c25:c25:6002:f2af
442c19:dd:d9:dd:c25:c25:6002:f2b0/1242c19:dd:d9:dd:c25:c25:6002:f2bf
452c19:dd:d9:dd:c25:c25:6002:f2c0/1242c19:dd:d9:dd:c25:c25:6002:f2cf
462c19:dd:d9:dd:c25:c25:6002:f2d0/1242c19:dd:d9:dd:c25:c25:6002:f2df
472c19:dd:d9:dd:c25:c25:6002:f2e0/1242c19:dd:d9:dd:c25:c25:6002:f2ef
482c19:dd:d9:dd:c25:c25:6002:f2f0/1242c19:dd:d9:dd:c25:c25:6002:f2ff
492c19:dd:d9:dd:c25:c25:6002:f300/1242c19:dd:d9:dd:c25:c25:6002:f30f
502c19:dd:d9:dd:c25:c25:6002:f310/1242c19:dd:d9:dd:c25:c25:6002:f31f
512c19:dd:d9:dd:c25:c25:6002:f320/1242c19:dd:d9:dd:c25:c25:6002:f32f
522c19:dd:d9:dd:c25:c25:6002:f330/1242c19:dd:d9:dd:c25:c25:6002:f33f
532c19:dd:d9:dd:c25:c25:6002:f340/1242c19:dd:d9:dd:c25:c25:6002:f34f
542c19:dd:d9:dd:c25:c25:6002:f350/1242c19:dd:d9:dd:c25:c25:6002:f35f
552c19:dd:d9:dd:c25:c25:6002:f360/1242c19:dd:d9:dd:c25:c25:6002:f36f
562c19:dd:d9:dd:c25:c25:6002:f370/1242c19:dd:d9:dd:c25:c25:6002:f37f
572c19:dd:d9:dd:c25:c25:6002:f380/1242c19:dd:d9:dd:c25:c25:6002:f38f
582c19:dd:d9:dd:c25:c25:6002:f390/1242c19:dd:d9:dd:c25:c25:6002:f39f
592c19:dd:d9:dd:c25:c25:6002:f3a0/1242c19:dd:d9:dd:c25:c25:6002:f3af
602c19:dd:d9:dd:c25:c25:6002:f3b0/1242c19:dd:d9:dd:c25:c25:6002:f3bf
612c19:dd:d9:dd:c25:c25:6002:f3c0/1242c19:dd:d9:dd:c25:c25:6002:f3cf
622c19:dd:d9:dd:c25:c25:6002:f3d0/1242c19:dd:d9:dd:c25:c25:6002:f3df
632c19:dd:d9:dd:c25:c25:6002:f3e0/1242c19:dd:d9:dd:c25:c25:6002:f3ef
642c19:dd:d9:dd:c25:c25:6002:f3f0/1242c19:dd:d9:dd:c25:c25:6002:f3ff
652c19:dd:d9:dd:c25:c25:6002:f400/1242c19:dd:d9:dd:c25:c25:6002:f40f
662c19:dd:d9:dd:c25:c25:6002:f410/1242c19:dd:d9:dd:c25:c25:6002:f41f
672c19:dd:d9:dd:c25:c25:6002:f420/1242c19:dd:d9:dd:c25:c25:6002:f42f
682c19:dd:d9:dd:c25:c25:6002:f430/1242c19:dd:d9:dd:c25:c25:6002:f43f
692c19:dd:d9:dd:c25:c25:6002:f440/1242c19:dd:d9:dd:c25:c25:6002:f44f
702c19:dd:d9:dd:c25:c25:6002:f450/1242c19:dd:d9:dd:c25:c25:6002:f45f
712c19:dd:d9:dd:c25:c25:6002:f460/1242c19:dd:d9:dd:c25:c25:6002:f46f
722c19:dd:d9:dd:c25:c25:6002:f470/1242c19:dd:d9:dd:c25:c25:6002:f47f
732c19:dd:d9:dd:c25:c25:6002:f480/1242c19:dd:d9:dd:c25:c25:6002:f48f
742c19:dd:d9:dd:c25:c25:6002:f490/1242c19:dd:d9:dd:c25:c25:6002:f49f
752c19:dd:d9:dd:c25:c25:6002:f4a0/1242c19:dd:d9:dd:c25:c25:6002:f4af
762c19:dd:d9:dd:c25:c25:6002:f4b0/1242c19:dd:d9:dd:c25:c25:6002:f4bf
772c19:dd:d9:dd:c25:c25:6002:f4c0/1242c19:dd:d9:dd:c25:c25:6002:f4cf
782c19:dd:d9:dd:c25:c25:6002:f4d0/1242c19:dd:d9:dd:c25:c25:6002:f4df
792c19:dd:d9:dd:c25:c25:6002:f4e0/1242c19:dd:d9:dd:c25:c25:6002:f4ef
802c19:dd:d9:dd:c25:c25:6002:f4f0/1242c19:dd:d9:dd:c25:c25:6002:f4ff
812c19:dd:d9:dd:c25:c25:6002:f500/1242c19:dd:d9:dd:c25:c25:6002:f50f
822c19:dd:d9:dd:c25:c25:6002:f510/1242c19:dd:d9:dd:c25:c25:6002:f51f
832c19:dd:d9:dd:c25:c25:6002:f520/1242c19:dd:d9:dd:c25:c25:6002:f52f
842c19:dd:d9:dd:c25:c25:6002:f530/1242c19:dd:d9:dd:c25:c25:6002:f53f
852c19:dd:d9:dd:c25:c25:6002:f540/1242c19:dd:d9:dd:c25:c25:6002:f54f
862c19:dd:d9:dd:c25:c25:6002:f550/1242c19:dd:d9:dd:c25:c25:6002:f55f
872c19:dd:d9:dd:c25:c25:6002:f560/1242c19:dd:d9:dd:c25:c25:6002:f56f
882c19:dd:d9:dd:c25:c25:6002:f570/1242c19:dd:d9:dd:c25:c25:6002:f57f
892c19:dd:d9:dd:c25:c25:6002:f580/1242c19:dd:d9:dd:c25:c25:6002:f58f
902c19:dd:d9:dd:c25:c25:6002:f590/1242c19:dd:d9:dd:c25:c25:6002:f59f
912c19:dd:d9:dd:c25:c25:6002:f5a0/1242c19:dd:d9:dd:c25:c25:6002:f5af
922c19:dd:d9:dd:c25:c25:6002:f5b0/1242c19:dd:d9:dd:c25:c25:6002:f5bf
932c19:dd:d9:dd:c25:c25:6002:f5c0/1242c19:dd:d9:dd:c25:c25:6002:f5cf
942c19:dd:d9:dd:c25:c25:6002:f5d0/1242c19:dd:d9:dd:c25:c25:6002:f5df
952c19:dd:d9:dd:c25:c25:6002:f5e0/1242c19:dd:d9:dd:c25:c25:6002:f5ef
962c19:dd:d9:dd:c25:c25:6002:f5f0/1242c19:dd:d9:dd:c25:c25:6002:f5ff
972c19:dd:d9:dd:c25:c25:6002:f600/1242c19:dd:d9:dd:c25:c25:6002:f60f
982c19:dd:d9:dd:c25:c25:6002:f610/1242c19:dd:d9:dd:c25:c25:6002:f61f
992c19:dd:d9:dd:c25:c25:6002:f620/1242c19:dd:d9:dd:c25:c25:6002:f62f
1002c19:dd:d9:dd:c25:c25:6002:f630/1242c19:dd:d9:dd:c25:c25:6002:f63f
1012c19:dd:d9:dd:c25:c25:6002:f640/1242c19:dd:d9:dd:c25:c25:6002:f64f
1022c19:dd:d9:dd:c25:c25:6002:f650/1242c19:dd:d9:dd:c25:c25:6002:f65f
1032c19:dd:d9:dd:c25:c25:6002:f660/1242c19:dd:d9:dd:c25:c25:6002:f66f
1042c19:dd:d9:dd:c25:c25:6002:f670/1242c19:dd:d9:dd:c25:c25:6002:f67f
1052c19:dd:d9:dd:c25:c25:6002:f680/1242c19:dd:d9:dd:c25:c25:6002:f68f
1062c19:dd:d9:dd:c25:c25:6002:f690/1242c19:dd:d9:dd:c25:c25:6002:f69f
1072c19:dd:d9:dd:c25:c25:6002:f6a0/1242c19:dd:d9:dd:c25:c25:6002:f6af
1082c19:dd:d9:dd:c25:c25:6002:f6b0/1242c19:dd:d9:dd:c25:c25:6002:f6bf
1092c19:dd:d9:dd:c25:c25:6002:f6c0/1242c19:dd:d9:dd:c25:c25:6002:f6cf
1102c19:dd:d9:dd:c25:c25:6002:f6d0/1242c19:dd:d9:dd:c25:c25:6002:f6df
1112c19:dd:d9:dd:c25:c25:6002:f6e0/1242c19:dd:d9:dd:c25:c25:6002:f6ef
1122c19:dd:d9:dd:c25:c25:6002:f6f0/1242c19:dd:d9:dd:c25:c25:6002:f6ff
1132c19:dd:d9:dd:c25:c25:6002:f700/1242c19:dd:d9:dd:c25:c25:6002:f70f
1142c19:dd:d9:dd:c25:c25:6002:f710/1242c19:dd:d9:dd:c25:c25:6002:f71f
1152c19:dd:d9:dd:c25:c25:6002:f720/1242c19:dd:d9:dd:c25:c25:6002:f72f
1162c19:dd:d9:dd:c25:c25:6002:f730/1242c19:dd:d9:dd:c25:c25:6002:f73f
1172c19:dd:d9:dd:c25:c25:6002:f740/1242c19:dd:d9:dd:c25:c25:6002:f74f
1182c19:dd:d9:dd:c25:c25:6002:f750/1242c19:dd:d9:dd:c25:c25:6002:f75f
1192c19:dd:d9:dd:c25:c25:6002:f760/1242c19:dd:d9:dd:c25:c25:6002:f76f
1202c19:dd:d9:dd:c25:c25:6002:f770/1242c19:dd:d9:dd:c25:c25:6002:f77f
1212c19:dd:d9:dd:c25:c25:6002:f780/1242c19:dd:d9:dd:c25:c25:6002:f78f
1222c19:dd:d9:dd:c25:c25:6002:f790/1242c19:dd:d9:dd:c25:c25:6002:f79f
1232c19:dd:d9:dd:c25:c25:6002:f7a0/1242c19:dd:d9:dd:c25:c25:6002:f7af
1242c19:dd:d9:dd:c25:c25:6002:f7b0/1242c19:dd:d9:dd:c25:c25:6002:f7bf
1252c19:dd:d9:dd:c25:c25:6002:f7c0/1242c19:dd:d9:dd:c25:c25:6002:f7cf
1262c19:dd:d9:dd:c25:c25:6002:f7d0/1242c19:dd:d9:dd:c25:c25:6002:f7df
1272c19:dd:d9:dd:c25:c25:6002:f7e0/1242c19:dd:d9:dd:c25:c25:6002:f7ef
1282c19:dd:d9:dd:c25:c25:6002:f7f0/1242c19:dd:d9:dd:c25:c25:6002:f7ff
1292c19:dd:d9:dd:c25:c25:6002:f800/1242c19:dd:d9:dd:c25:c25:6002:f80f
1302c19:dd:d9:dd:c25:c25:6002:f810/1242c19:dd:d9:dd:c25:c25:6002:f81f
1312c19:dd:d9:dd:c25:c25:6002:f820/1242c19:dd:d9:dd:c25:c25:6002:f82f
1322c19:dd:d9:dd:c25:c25:6002:f830/1242c19:dd:d9:dd:c25:c25:6002:f83f
1332c19:dd:d9:dd:c25:c25:6002:f840/1242c19:dd:d9:dd:c25:c25:6002:f84f
1342c19:dd:d9:dd:c25:c25:6002:f850/1242c19:dd:d9:dd:c25:c25:6002:f85f
1352c19:dd:d9:dd:c25:c25:6002:f860/1242c19:dd:d9:dd:c25:c25:6002:f86f
1362c19:dd:d9:dd:c25:c25:6002:f870/1242c19:dd:d9:dd:c25:c25:6002:f87f
1372c19:dd:d9:dd:c25:c25:6002:f880/1242c19:dd:d9:dd:c25:c25:6002:f88f
1382c19:dd:d9:dd:c25:c25:6002:f890/1242c19:dd:d9:dd:c25:c25:6002:f89f
1392c19:dd:d9:dd:c25:c25:6002:f8a0/1242c19:dd:d9:dd:c25:c25:6002:f8af
1402c19:dd:d9:dd:c25:c25:6002:f8b0/1242c19:dd:d9:dd:c25:c25:6002:f8bf
1412c19:dd:d9:dd:c25:c25:6002:f8c0/1242c19:dd:d9:dd:c25:c25:6002:f8cf
1422c19:dd:d9:dd:c25:c25:6002:f8d0/1242c19:dd:d9:dd:c25:c25:6002:f8df
1432c19:dd:d9:dd:c25:c25:6002:f8e0/1242c19:dd:d9:dd:c25:c25:6002:f8ef
1442c19:dd:d9:dd:c25:c25:6002:f8f0/1242c19:dd:d9:dd:c25:c25:6002:f8ff
1452c19:dd:d9:dd:c25:c25:6002:f900/1242c19:dd:d9:dd:c25:c25:6002:f90f
1462c19:dd:d9:dd:c25:c25:6002:f910/1242c19:dd:d9:dd:c25:c25:6002:f91f
1472c19:dd:d9:dd:c25:c25:6002:f920/1242c19:dd:d9:dd:c25:c25:6002:f92f
1482c19:dd:d9:dd:c25:c25:6002:f930/1242c19:dd:d9:dd:c25:c25:6002:f93f
1492c19:dd:d9:dd:c25:c25:6002:f940/1242c19:dd:d9:dd:c25:c25:6002:f94f
1502c19:dd:d9:dd:c25:c25:6002:f950/1242c19:dd:d9:dd:c25:c25:6002:f95f
1512c19:dd:d9:dd:c25:c25:6002:f960/1242c19:dd:d9:dd:c25:c25:6002:f96f
1522c19:dd:d9:dd:c25:c25:6002:f970/1242c19:dd:d9:dd:c25:c25:6002:f97f
1532c19:dd:d9:dd:c25:c25:6002:f980/1242c19:dd:d9:dd:c25:c25:6002:f98f
1542c19:dd:d9:dd:c25:c25:6002:f990/1242c19:dd:d9:dd:c25:c25:6002:f99f
1552c19:dd:d9:dd:c25:c25:6002:f9a0/1242c19:dd:d9:dd:c25:c25:6002:f9af
1562c19:dd:d9:dd:c25:c25:6002:f9b0/1242c19:dd:d9:dd:c25:c25:6002:f9bf
1572c19:dd:d9:dd:c25:c25:6002:f9c0/1242c19:dd:d9:dd:c25:c25:6002:f9cf
1582c19:dd:d9:dd:c25:c25:6002:f9d0/1242c19:dd:d9:dd:c25:c25:6002:f9df
1592c19:dd:d9:dd:c25:c25:6002:f9e0/1242c19:dd:d9:dd:c25:c25:6002:f9ef
1602c19:dd:d9:dd:c25:c25:6002:f9f0/1242c19:dd:d9:dd:c25:c25:6002:f9ff
1612c19:dd:d9:dd:c25:c25:6002:fa00/1242c19:dd:d9:dd:c25:c25:6002:fa0f
1622c19:dd:d9:dd:c25:c25:6002:fa10/1242c19:dd:d9:dd:c25:c25:6002:fa1f
1632c19:dd:d9:dd:c25:c25:6002:fa20/1242c19:dd:d9:dd:c25:c25:6002:fa2f
1642c19:dd:d9:dd:c25:c25:6002:fa30/1242c19:dd:d9:dd:c25:c25:6002:fa3f
1652c19:dd:d9:dd:c25:c25:6002:fa40/1242c19:dd:d9:dd:c25:c25:6002:fa4f
1662c19:dd:d9:dd:c25:c25:6002:fa50/1242c19:dd:d9:dd:c25:c25:6002:fa5f
1672c19:dd:d9:dd:c25:c25:6002:fa60/1242c19:dd:d9:dd:c25:c25:6002:fa6f
1682c19:dd:d9:dd:c25:c25:6002:fa70/1242c19:dd:d9:dd:c25:c25:6002:fa7f
1692c19:dd:d9:dd:c25:c25:6002:fa80/1242c19:dd:d9:dd:c25:c25:6002:fa8f
1702c19:dd:d9:dd:c25:c25:6002:fa90/1242c19:dd:d9:dd:c25:c25:6002:fa9f
1712c19:dd:d9:dd:c25:c25:6002:faa0/1242c19:dd:d9:dd:c25:c25:6002:faaf
1722c19:dd:d9:dd:c25:c25:6002:fab0/1242c19:dd:d9:dd:c25:c25:6002:fabf
1732c19:dd:d9:dd:c25:c25:6002:fac0/1242c19:dd:d9:dd:c25:c25:6002:facf
1742c19:dd:d9:dd:c25:c25:6002:fad0/1242c19:dd:d9:dd:c25:c25:6002:fadf
1752c19:dd:d9:dd:c25:c25:6002:fae0/1242c19:dd:d9:dd:c25:c25:6002:faef
1762c19:dd:d9:dd:c25:c25:6002:faf0/1242c19:dd:d9:dd:c25:c25:6002:faff
1772c19:dd:d9:dd:c25:c25:6002:fb00/1242c19:dd:d9:dd:c25:c25:6002:fb0f
1782c19:dd:d9:dd:c25:c25:6002:fb10/1242c19:dd:d9:dd:c25:c25:6002:fb1f
1792c19:dd:d9:dd:c25:c25:6002:fb20/1242c19:dd:d9:dd:c25:c25:6002:fb2f
1802c19:dd:d9:dd:c25:c25:6002:fb30/1242c19:dd:d9:dd:c25:c25:6002:fb3f
1812c19:dd:d9:dd:c25:c25:6002:fb40/1242c19:dd:d9:dd:c25:c25:6002:fb4f
1822c19:dd:d9:dd:c25:c25:6002:fb50/1242c19:dd:d9:dd:c25:c25:6002:fb5f
1832c19:dd:d9:dd:c25:c25:6002:fb60/1242c19:dd:d9:dd:c25:c25:6002:fb6f
1842c19:dd:d9:dd:c25:c25:6002:fb70/1242c19:dd:d9:dd:c25:c25:6002:fb7f
1852c19:dd:d9:dd:c25:c25:6002:fb80/1242c19:dd:d9:dd:c25:c25:6002:fb8f
1862c19:dd:d9:dd:c25:c25:6002:fb90/1242c19:dd:d9:dd:c25:c25:6002:fb9f
1872c19:dd:d9:dd:c25:c25:6002:fba0/1242c19:dd:d9:dd:c25:c25:6002:fbaf
1882c19:dd:d9:dd:c25:c25:6002:fbb0/1242c19:dd:d9:dd:c25:c25:6002:fbbf
1892c19:dd:d9:dd:c25:c25:6002:fbc0/1242c19:dd:d9:dd:c25:c25:6002:fbcf
1902c19:dd:d9:dd:c25:c25:6002:fbd0/1242c19:dd:d9:dd:c25:c25:6002:fbdf
1912c19:dd:d9:dd:c25:c25:6002:fbe0/1242c19:dd:d9:dd:c25:c25:6002:fbef
1922c19:dd:d9:dd:c25:c25:6002:fbf0/1242c19:dd:d9:dd:c25:c25:6002:fbff
1932c19:dd:d9:dd:c25:c25:6002:fc00/1242c19:dd:d9:dd:c25:c25:6002:fc0f
1942c19:dd:d9:dd:c25:c25:6002:fc10/1242c19:dd:d9:dd:c25:c25:6002:fc1f
1952c19:dd:d9:dd:c25:c25:6002:fc20/1242c19:dd:d9:dd:c25:c25:6002:fc2f
1962c19:dd:d9:dd:c25:c25:6002:fc30/1242c19:dd:d9:dd:c25:c25:6002:fc3f
1972c19:dd:d9:dd:c25:c25:6002:fc40/1242c19:dd:d9:dd:c25:c25:6002:fc4f
1982c19:dd:d9:dd:c25:c25:6002:fc50/1242c19:dd:d9:dd:c25:c25:6002:fc5f
1992c19:dd:d9:dd:c25:c25:6002:fc60/1242c19:dd:d9:dd:c25:c25:6002:fc6f
2002c19:dd:d9:dd:c25:c25:6002:fc70/1242c19:dd:d9:dd:c25:c25:6002:fc7f
2012c19:dd:d9:dd:c25:c25:6002:fc80/1242c19:dd:d9:dd:c25:c25:6002:fc8f
2022c19:dd:d9:dd:c25:c25:6002:fc90/1242c19:dd:d9:dd:c25:c25:6002:fc9f
2032c19:dd:d9:dd:c25:c25:6002:fca0/1242c19:dd:d9:dd:c25:c25:6002:fcaf
2042c19:dd:d9:dd:c25:c25:6002:fcb0/1242c19:dd:d9:dd:c25:c25:6002:fcbf
2052c19:dd:d9:dd:c25:c25:6002:fcc0/1242c19:dd:d9:dd:c25:c25:6002:fccf
2062c19:dd:d9:dd:c25:c25:6002:fcd0/1242c19:dd:d9:dd:c25:c25:6002:fcdf
2072c19:dd:d9:dd:c25:c25:6002:fce0/1242c19:dd:d9:dd:c25:c25:6002:fcef
2082c19:dd:d9:dd:c25:c25:6002:fcf0/1242c19:dd:d9:dd:c25:c25:6002:fcff
2092c19:dd:d9:dd:c25:c25:6002:fd00/1242c19:dd:d9:dd:c25:c25:6002:fd0f
2102c19:dd:d9:dd:c25:c25:6002:fd10/1242c19:dd:d9:dd:c25:c25:6002:fd1f
2112c19:dd:d9:dd:c25:c25:6002:fd20/1242c19:dd:d9:dd:c25:c25:6002:fd2f
2122c19:dd:d9:dd:c25:c25:6002:fd30/1242c19:dd:d9:dd:c25:c25:6002:fd3f
2132c19:dd:d9:dd:c25:c25:6002:fd40/1242c19:dd:d9:dd:c25:c25:6002:fd4f
2142c19:dd:d9:dd:c25:c25:6002:fd50/1242c19:dd:d9:dd:c25:c25:6002:fd5f
2152c19:dd:d9:dd:c25:c25:6002:fd60/1242c19:dd:d9:dd:c25:c25:6002:fd6f
2162c19:dd:d9:dd:c25:c25:6002:fd70/1242c19:dd:d9:dd:c25:c25:6002:fd7f
2172c19:dd:d9:dd:c25:c25:6002:fd80/1242c19:dd:d9:dd:c25:c25:6002:fd8f
2182c19:dd:d9:dd:c25:c25:6002:fd90/1242c19:dd:d9:dd:c25:c25:6002:fd9f
2192c19:dd:d9:dd:c25:c25:6002:fda0/1242c19:dd:d9:dd:c25:c25:6002:fdaf
2202c19:dd:d9:dd:c25:c25:6002:fdb0/1242c19:dd:d9:dd:c25:c25:6002:fdbf
2212c19:dd:d9:dd:c25:c25:6002:fdc0/1242c19:dd:d9:dd:c25:c25:6002:fdcf
2222c19:dd:d9:dd:c25:c25:6002:fdd0/1242c19:dd:d9:dd:c25:c25:6002:fddf
2232c19:dd:d9:dd:c25:c25:6002:fde0/1242c19:dd:d9:dd:c25:c25:6002:fdef
2242c19:dd:d9:dd:c25:c25:6002:fdf0/1242c19:dd:d9:dd:c25:c25:6002:fdff
2252c19:dd:d9:dd:c25:c25:6002:fe00/1242c19:dd:d9:dd:c25:c25:6002:fe0f
2262c19:dd:d9:dd:c25:c25:6002:fe10/1242c19:dd:d9:dd:c25:c25:6002:fe1f
2272c19:dd:d9:dd:c25:c25:6002:fe20/1242c19:dd:d9:dd:c25:c25:6002:fe2f
2282c19:dd:d9:dd:c25:c25:6002:fe30/1242c19:dd:d9:dd:c25:c25:6002:fe3f
2292c19:dd:d9:dd:c25:c25:6002:fe40/1242c19:dd:d9:dd:c25:c25:6002:fe4f
2302c19:dd:d9:dd:c25:c25:6002:fe50/1242c19:dd:d9:dd:c25:c25:6002:fe5f
2312c19:dd:d9:dd:c25:c25:6002:fe60/1242c19:dd:d9:dd:c25:c25:6002:fe6f
2322c19:dd:d9:dd:c25:c25:6002:fe70/1242c19:dd:d9:dd:c25:c25:6002:fe7f
2332c19:dd:d9:dd:c25:c25:6002:fe80/1242c19:dd:d9:dd:c25:c25:6002:fe8f
2342c19:dd:d9:dd:c25:c25:6002:fe90/1242c19:dd:d9:dd:c25:c25:6002:fe9f
2352c19:dd:d9:dd:c25:c25:6002:fea0/1242c19:dd:d9:dd:c25:c25:6002:feaf
2362c19:dd:d9:dd:c25:c25:6002:feb0/1242c19:dd:d9:dd:c25:c25:6002:febf
2372c19:dd:d9:dd:c25:c25:6002:fec0/1242c19:dd:d9:dd:c25:c25:6002:fecf
2382c19:dd:d9:dd:c25:c25:6002:fed0/1242c19:dd:d9:dd:c25:c25:6002:fedf
2392c19:dd:d9:dd:c25:c25:6002:fee0/1242c19:dd:d9:dd:c25:c25:6002:feef
2402c19:dd:d9:dd:c25:c25:6002:fef0/1242c19:dd:d9:dd:c25:c25:6002:feff
2412c19:dd:d9:dd:c25:c25:6002:ff00/1242c19:dd:d9:dd:c25:c25:6002:ff0f
2422c19:dd:d9:dd:c25:c25:6002:ff10/1242c19:dd:d9:dd:c25:c25:6002:ff1f
2432c19:dd:d9:dd:c25:c25:6002:ff20/1242c19:dd:d9:dd:c25:c25:6002:ff2f
2442c19:dd:d9:dd:c25:c25:6002:ff30/1242c19:dd:d9:dd:c25:c25:6002:ff3f
2452c19:dd:d9:dd:c25:c25:6002:ff40/1242c19:dd:d9:dd:c25:c25:6002:ff4f
2462c19:dd:d9:dd:c25:c25:6002:ff50/1242c19:dd:d9:dd:c25:c25:6002:ff5f
2472c19:dd:d9:dd:c25:c25:6002:ff60/1242c19:dd:d9:dd:c25:c25:6002:ff6f
2482c19:dd:d9:dd:c25:c25:6002:ff70/1242c19:dd:d9:dd:c25:c25:6002:ff7f
2492c19:dd:d9:dd:c25:c25:6002:ff80/1242c19:dd:d9:dd:c25:c25:6002:ff8f
2502c19:dd:d9:dd:c25:c25:6002:ff90/1242c19:dd:d9:dd:c25:c25:6002:ff9f
2512c19:dd:d9:dd:c25:c25:6002:ffa0/1242c19:dd:d9:dd:c25:c25:6002:ffaf
2522c19:dd:d9:dd:c25:c25:6002:ffb0/1242c19:dd:d9:dd:c25:c25:6002:ffbf
2532c19:dd:d9:dd:c25:c25:6002:ffc0/1242c19:dd:d9:dd:c25:c25:6002:ffcf
2542c19:dd:d9:dd:c25:c25:6002:ffd0/1242c19:dd:d9:dd:c25:c25:6002:ffdf
2552c19:dd:d9:dd:c25:c25:6002:ffe0/1242c19:dd:d9:dd:c25:c25:6002:ffef
2562c19:dd:d9:dd:c25:c25:6002:fff0/1242c19:dd:d9:dd:c25:c25:6002:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses